Revision aa25c7341d88855f445ee846e9c50656fc6c6566 authored by hieuhoang1972 on 21 May 2007, 13:06:40 UTC, committed by hieuhoang1972 on 21 May 2007, 13:06:40 UTC
git-svn-id: https://mosesdecoder.svn.sourceforge.net/svnroot/mosesdecoder/trunk@1392 1f5c12ca-751b-0410-a591-d2e778427230
1 parent 432484f
Raw File
regenerate-makefiles.sh
#!/bin/sh

function die () {
  echo "$@" >&2
  exit 1
}

if [ -z "$ACLOCAL" ]
then
    ACLOCAL=`which aclocal`
fi

if [ -z "$AUTOMAKE" ]
then
    AUTOMAKE=`which automake`
fi

if [ -z "$AUTOCONF" ]
then
    AUTOCONF=`which autoconf`
fi


echo "Calling $ACLOCAL..."
$ACLOCAL || die "aclocal failed"
echo "Calling $AUTOCONF..."
$AUTOCONF || die "autoconf failed"
echo "Calling $AUTOMAKE..."
$AUTOMAKE || die "automake failed"

echo
echo "You should now be able to configure and build:"
echo "   ./configure --with-srilm=/path/to/srilm"
echo "   make -j 4"
echo

back to top